Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdTriangleStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumTripleIndices (void)
HRESULT | SetNumTripleIndices ([in] RtDWORD dwNumTripleIndices)
HRESULT | i ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | i ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | j ([in] RtDWORD dwIndex,[out, retval]RtUlong *pVal)
HRESULT | j ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | k ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | k ([in] RtDWORD dwIndex,[in] RtUlong newVal)

## Detailed Description

IRdTriangleStream stores list of triangle indices.

## Member Function Documentation

RtDWORD IRdTriangleStream::GetNumTripleIndices | ( | void |  | ) |

| Get number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleStream::SetNumTripleIndices | ( | [in] RtDWORD | dwNumTripleIndices | ) |

| Set number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleStream::i | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get first vertex of dwIndex-th triangle Parameters:
  dwIndex | Triangle index
  pVal | Vertex index of the first triangle corner
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleStream::i | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set first vertex of dwIndex-th triangle Parameters:
  dwIndex | Triangle index
  newVal | Vertex index of the first triangle corner
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleStream::j | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get second vertex of dwIndex-th triangle Parameters:
  dwIndex | Triangle index
  *pVal | Vertex index of the second triangle corner
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleStream::j | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set second vertex of dwIndex-th triangle Parameters:
  dwIndex | Triangle index
  newVal | Vertex index of the second triangle corner
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleStream::k | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get third vertex of dwIndex-th triangle Parameters:
  dwIndex | Triangle index
  *pVal | Vertex index of the third triangle corner
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleStream::k | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set third vertex of dwIndex-th triangle Parameters:
  dwIndex | Triangle index
  newVal | Vertex index of the third triangle corner
Returns: standard HRESULT processing can be applied to returned value